<template>
  <div>
    <div class="box xxx" :style="{ height: `calc(100vh - ${size.menuH}px)` }">
      <n-scrollbar class="pt-6" trigger="hover" :style="{ height: `calc(100vh - ${size.menuH}px)` }">
        <arti :list="artList" />
      </n-scrollbar>
    </div>
  </div>
</template>

<script setup>
import arti from '@/components/arti.vue';
import { usesizeStore } from "@/stores/size.js";

const size = usesizeStore();
const artList = ref([])


//mark 周期、内置函数等
onMounted(async () => {
  const res = await $http.art.queryArt()
  artList.value = res.data
})
</script>

<style scoped>
:deep(.n-layout-sider) {
  width: unset !important;
  max-width: unset !important;
}

:deep(.n-scrollbar-rail) {
  display: none !important;
}
</style>
